package br.usp.ime.pictware.business.assinante.bo;

import java.util.ArrayList;
import java.util.List;

import br.usp.ime.pictware.business.album.bo.Album;
import br.usp.ime.pictware.business.grupoacesso.bo.GrupoAcesso;

public class Assinante extends Pessoa{

	private Long id;
	private String login;
	private List<GrupoAcesso> listaGrupoAcesso;
	private List<Album> listaAlbuns;
	
	public Assinante(){
		listaAlbuns = new ArrayList<Album>();
		listaGrupoAcesso = new ArrayList<GrupoAcesso>();
	}
	
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
		
	public List<GrupoAcesso> getListaGrupoAcesso() {
		return listaGrupoAcesso;
	}

	public void setListaGrupoAcesso(List<GrupoAcesso> listaGrupoAcesso) {
		this.listaGrupoAcesso = listaGrupoAcesso;
	}

	public GrupoAcesso getGrupoAcesso(int index){
		return listaGrupoAcesso.get(index);		
	}
	
	public List<Album> getListaAlbuns() {
		return listaAlbuns;
	}

	public void setListaAlbuns(List<Album> listaAlbuns) {
		this.listaAlbuns = listaAlbuns;
	}
	
	public Album getAlbum(int index){
		return listaAlbuns.get(index);		
	}

	public void addGrupoAcesso(GrupoAcesso grupoAcesso){
		this.listaGrupoAcesso.add(grupoAcesso);
	}
	
	public void addAlbum(Album album){
		album.setIdOwner(id);
		this.listaAlbuns.add(album);
	}
	public String getLogin() {
		return login;
	}

	public void setLogin(String login) {
		this.login = login;
	}


	
}
