package br.usp.ime.pictware.web.action.manteralbum;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import br.usp.ime.pictware.application.album.service.ManterAlbumService;
import br.usp.ime.pictware.business.album.bo.Album;
import br.usp.ime.pictware.business.album.bo.Foto;
import br.usp.ime.pictware.web.framework.action.Action;
import br.usp.ime.pictware.web.framework.action.ActionForward;
import br.usp.ime.pictware.web.framework.action.ActionMapping;

public class VisualizarFotoAction implements Action{

	public ActionForward execute(ActionMapping actionMapping,
			HttpServletRequest request, HttpServletResponse response) {
		
		Album album = (Album)request.getSession().getAttribute("currentAlbum");
		int indexFoto = Integer.parseInt(request.getParameter("indexFoto"));
		Foto foto = album.getFoto(indexFoto);		
		request.setAttribute("foto", foto);
		request.setAttribute("indexFoto", indexFoto);				
		ManterAlbumService.getInstance().visualizarFoto(foto);				
		return actionMapping.findForward("visualizar-foto");
	}

}
