package br.usp.ime.pictware.web.action.manterassinante;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import br.usp.ime.pictware.application.assinante.service.ManterAssinanteService;
import br.usp.ime.pictware.business.assinante.bo.Assinante;
import br.usp.ime.pictware.web.framework.action.Action;
import br.usp.ime.pictware.web.framework.action.ActionForward;
import br.usp.ime.pictware.web.framework.action.ActionMapping;

public class EditarAssinanteAction implements Action{

	public ActionForward execute(ActionMapping actionMapping,
			HttpServletRequest request, HttpServletResponse response) {
		
		Assinante assinante = (Assinante)request.getSession().getAttribute("assinante");
		String senha = request.getParameter("senha");
		String confirmacaoSenha = request.getParameter("senhaConfirmada");
		
		//Confirmao da senha
		if (!confirmacaoSenha.equals(senha)){
			//TODO: devolver erro
			return actionMapping.findForward("senha-errada");
		}
		
		String nomeAssinante = request.getParameter("nome");
		String apelido = request.getParameter("apelido");
						
		ManterAssinanteService.getInstance().atualizarInfoAssinante(assinante, senha, nomeAssinante, apelido);			
		return actionMapping.findForward("dados-atualizados");		
	}

}
