package br.usp.ime.pictware.web.action.mantergrupoacesso;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import br.usp.ime.pictware.application.assinante.service.ManterAssinanteService;
import br.usp.ime.pictware.business.assinante.bo.Assinante;
import br.usp.ime.pictware.web.framework.action.Action;
import br.usp.ime.pictware.web.framework.action.ActionForward;
import br.usp.ime.pictware.web.framework.action.ActionMapping;

public class ListarGruposAcessoAction implements Action{

	public ActionForward execute(ActionMapping actionMapping,
			HttpServletRequest request, HttpServletResponse response) {
		
		Long userId = (Long)request.getSession().getAttribute("uid");
	
		Assinante assinante = ManterAssinanteService.getInstance().buscarAssinante(userId);
		request.setAttribute("listaGrupoAcesso", assinante.getListaGrupoAcesso());
			
		return actionMapping.findForward("listar-grupos");
	}

}
