package br.usp.ime.pictware.business.album.bo;

import java.util.ArrayList;
import java.util.List;

import br.usp.ime.pictware.business.grupoacesso.bo.GrupoAcesso;

public class Album {

	private Long id;
	private Long idOwner;
	private String titulo;
	private String descricao;
	private Long numeroAcessos;
	private List<Foto> listaFotos;
	private GrupoAcesso grupoAcesso;
	private Foto capa;
	
	public Album(){
		listaFotos = new ArrayList<Foto>();
	}
		
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	
	public Long getIdOwner() {
		return idOwner;
	}

	public void setIdOwner(Long idOwner) {
		this.idOwner = idOwner;
	}

	public String getTitulo() {
		return titulo;
	}
	public void setTitulo(String titulo) {
		this.titulo = titulo;
	}
	public String getDescricao() {
		return descricao;
	}
	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}
	public Long getNumeroAcessos() {
		return numeroAcessos;
	}
	public void setNumeroAcessos(Long numeroAcessos) {
		this.numeroAcessos = numeroAcessos;
	}
	public List<Foto> getListaFotos() {
		return listaFotos;
	}
	public void setListaFotos(List<Foto> listaFotos) {
		this.listaFotos = listaFotos;
	}
	public GrupoAcesso getGrupoAcesso() {
		return grupoAcesso;
	}
	public void setGrupoAcesso(GrupoAcesso grupoAcesso) {
		this.grupoAcesso = grupoAcesso;
	}	
	public Foto getCapa() {
		return capa;
	}
	public void setCapa(Foto capa) {
		this.capa = capa;
	}
	
	public void colocarCapaProvisoria(){
		this.capa = new CapaProvisoria();		
	}
	
	public void addFoto(Foto foto){
		listaFotos.add(foto);
	}
	
	public boolean hasCapa(){
		return capa!=null;
	}
	
	public Foto getFoto(int index){
		return listaFotos.get(index);		
	}
	
}
