package br.usp.ime.pictware.business.album.bo;

import java.io.BufferedInputStream;
import java.io.IOException;

public class CapaProvisoria extends Foto{

	public CapaProvisoria(){
					
		try{			
			BufferedInputStream is = new BufferedInputStream(this.getClass().getResourceAsStream("album.jpg"));
			long length = is.available();
			
	        // Create the byte array to hold the data
	        byte[] bytes = new byte[(int)length];
	    
	        // Read in the bytes
	        int offset = 0;
	        int numRead = 0;
	        while (offset < bytes.length && (numRead=is.read(bytes, offset, bytes.length-offset)) >= 0) {
	            offset += numRead;
	        }
	    
	        // Ensure all the bytes have been read in
	        if (offset < bytes.length) {
	            throw new IOException("Could not completely read file");
	        }
	    
	        // Close the input stream and return bytes
	        is.close();
	        
	        this.detalheFoto.setBytesArquivo(bytes);	        
		}catch(Exception e){}
	}
	
}
