package br.usp.ime.pictware.business.album.bo;

import java.util.ArrayList;
import java.util.List;

public class Foto {

	private Long id;
	private String legenda;
	private Long numeroAcessos;
	DetalheFoto detalheFoto;
	private List<Comentario> listaComentarios;
		
	public Foto(){
		listaComentarios = new ArrayList<Comentario>();
		detalheFoto = new DetalheFoto();
	}
	
	public List<Comentario> getListaComentarios() {
		return listaComentarios;
	}

	public void setListaComentarios(List<Comentario> listaComentarios) {
		this.listaComentarios = listaComentarios;
	}

	public Long getId(){
		return id;
	}
	
	public void setId(Long id){
		this.id = id;
	}

	public String getLegenda() {
		return legenda;
	}

	public void setLegenda(String legenda) {
		this.legenda = legenda;
	}

	public Long getNumeroAcessos() {
		return numeroAcessos;
	}

	public void setNumeroAcessos(Long numeroAcessos) {
		this.numeroAcessos = numeroAcessos;
	}
	
	public byte[] getBytesArquivo() {
		return detalheFoto.getBytesArquivo();
	}
	
	public void setBytesArquivo(byte[] dados){
		detalheFoto.setBytesArquivo(dados);
	}

	public String getNomeArquivo() {
		return detalheFoto.getNomeArquivo();
	}
	
	public void setNomeArquivo(String nomeArquivo) {
		detalheFoto.setNomeArquivo(nomeArquivo);
	}
	
	public Long getTamanhoArquivo() {
		return detalheFoto.getTamanhoArquivo();
	}
	
	public void setTamanhoArquivo(Long tamanhoArquivo) {
		detalheFoto.setTamanhoArquivo(tamanhoArquivo);
	}
	
	public String getTipoArquivo() {
		return detalheFoto.getTipoArquivo();
	}

	public void setTipoArquivo(String tipoArquivo) {
		this.detalheFoto.setTipoArquivo(tipoArquivo);
	}
	
	public void foiAcessada(){
		this.numeroAcessos += 1L;
	}
	
	public DetalheFoto getDetalheFoto(){
		return detalheFoto;
	}

	
}
