package br.usp.ime.pictware.business.album.dao;

import br.usp.ime.pictware.business.album.bo.Album;
import br.usp.ime.pictware.business.album.bo.Foto;
import br.usp.ime.pictware.business.assinante.bo.Assinante;
import br.usp.ime.pictware.business.util.dao.DAO;

public interface AlbumDAO extends DAO {
	
	public void incluirAlbum(Assinante owner, Album album);
	
	public void incluirFoto(Album album, Foto foto);

	public void excluirAlbum(Album album);
	
	public void excluirFoto(Foto foto);
	
	public void atualizarAlbum(Album album);
	
	public void carregarFotos(Album album);

	public void atualizarNumeroAcessoFoto(Foto foto);

	public void atualizarNumeroAcessoAlbum(Album album);

	public Long obterNumeroAcessos(Long idAlbum);
}
