package br.usp.ime.pictware.business.assinante.dao;

import br.usp.ime.pictware.business.assinante.bo.Assinante;
import br.usp.ime.pictware.business.util.dao.DAO;
import br.usp.ime.pictware.infraestrutura.persistencia.assinante.CriterioBuscaAssinante;

public interface AssinanteDAO extends DAO {

	public Assinante buscarAssinante(CriterioBuscaAssinante criterioBuscaAssinante);
	
	public void atualizarAssinante(Assinante assinante, String senha);

	public void incluirAssinante(Assinante assinante, String senha);
	
}
