package br.usp.ime.pictware.business.grupoacesso.dao;

import br.usp.ime.pictware.business.assinante.bo.Assinante;
import br.usp.ime.pictware.business.grupoacesso.bo.GrupoAcesso;
import br.usp.ime.pictware.business.util.dao.DAO;

public interface GrupoAcessoDAO extends DAO{

	public void incluirGrupoAcesso(Long ownerId, GrupoAcesso grupoAcesso);
	
	public void excluirGrupoAcesso(Long idGrupoAcesso);	
	
	public void incluirMembro(GrupoAcesso grupoAcesso, Assinante participante);

	public boolean existeGrupo(Long ownerId, GrupoAcesso grupoAcesso);
}
