package br.usp.ime.pictware.web.action.manteralbum;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import br.usp.ime.pictware.application.album.service.ManterAlbumService;
import br.usp.ime.pictware.business.album.bo.Album;
import br.usp.ime.pictware.business.assinante.bo.Assinante;
import br.usp.ime.pictware.web.framework.action.Action;
import br.usp.ime.pictware.web.framework.action.ActionForward;
import br.usp.ime.pictware.web.framework.action.ActionMapping;

public class InserirEditarAlbumAction  implements Action{
	public ActionForward execute(ActionMapping actionMapping,
			HttpServletRequest request, HttpServletResponse response) {
			
		//Resgata valores da sesso
		Assinante assinante = (Assinante)request.getSession().getAttribute("assinante");
		
		String tituloAlbum = request.getParameter("tituloAlbum");
		String descricaoAlbum = request.getParameter("descricaoAlbum");
		
		//TODO: grupo de acesso		
		
		//Incluso
		if (request.getParameter("indexAlbum").equals("")){
			ManterAlbumService.getInstance().incluirAlbum(assinante,tituloAlbum,descricaoAlbum);		
		}
		//Alterao
		else{
			int indexAlbum = Integer.parseInt(request.getParameter("indexAlbum"));
			Album album = assinante.getAlbum(indexAlbum);						
			ManterAlbumService.getInstance().editarAlbum(album,tituloAlbum,descricaoAlbum);
		}
		
		return actionMapping.findForward("album-inserido-alterado");
	}
	
}
