package br.usp.ime.pictware.web.action.manteralbum;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import br.usp.ime.pictware.application.album.service.ManterAlbumService;
import br.usp.ime.pictware.business.album.bo.Album;
import br.usp.ime.pictware.business.assinante.bo.Assinante;
import br.usp.ime.pictware.web.framework.action.Action;
import br.usp.ime.pictware.web.framework.action.ActionForward;
import br.usp.ime.pictware.web.framework.action.ActionMapping;

public class VisualizarAlbumAction implements Action{

	public ActionForward execute(ActionMapping actionMapping,
			HttpServletRequest request, HttpServletResponse response) {
				
		Assinante assinante = (Assinante)request.getSession().getAttribute("assinante");
		int indexAlbum = Integer.parseInt(request.getParameter("indexAlbum"));
		Album album = assinante.getAlbum(indexAlbum);
		ManterAlbumService.getInstance().visualizarAlbum(album);
				
		request.getSession().setAttribute("currentAlbum", album);		
		return actionMapping.findForward("fotos-carregadas");		
	}

}
