package br.usp.ime.pictware.web.action.manterassinante;

import java.io.IOException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import br.usp.ime.pictware.application.assinante.service.ManterAssinanteService;
import br.usp.ime.pictware.business.assinante.bo.Assinante;
import br.usp.ime.pictware.web.framework.action.Action;
import br.usp.ime.pictware.web.framework.action.ActionForward;
import br.usp.ime.pictware.web.framework.action.ActionMapping;

public class VerificaEmail implements Action{

	public ActionForward execute(ActionMapping actionMapping,
			HttpServletRequest request, HttpServletResponse response) {
		
		try{		
			
			String login = request.getParameter("login");
			
			ManterAssinanteService manterAssinanteService = ManterAssinanteService.getInstance();
			Assinante assinante = manterAssinanteService.buscarAssinante(login);
			String resposta = "";
			
			if (assinante != null){
				resposta = "E-mail j cadastrado";
			}
			
			response.setContentType("text/html; charset=utf-8");
			response.getWriter().write(resposta);			
			
		}catch(IOException e){
			e.printStackTrace();
		}
		return actionMapping.findForward(null);
	}

}
