<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="f"  uri="http://java.sun.com/jsf/core"%>
<%@ taglib prefix="h"  uri="http://java.sun.com/jsf/html"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
	<title>PictWare</title>
	<meta name="keywords" content="" />
	<meta name="description" content="" />
	<link href="css/styles.css" rel="stylesheet" type="text/css" media="screen" />
	<script type="text/javascript" src="js/jquery-1.3.2.min.js">
	</script>
	<script type="text/javascript" src="js/novoAssinante.js">
	</script>	
</head>

<body>

<f:view>
<f:loadBundle basename="messageresource.MessageResource" var="msg"/>

 <div id="content">
	<div id="logo">
	  <img src="images/logo_reflexo.png" alt="" /> 
	</div>
 <div id="main"></div>
 <div id="back">
 	<div id="right">	
 			<h:outputText styleClass="option" value="#{msg.SignIn}" />			
			<h:form id="entradas" styleClass="form_login">
				<br/>
				<br/>
				<h:outputText value="#{msg.Email}: " />
				<h:inputText id="entradaLogin" value="#{loginBean.login}" required="true" validator="#{loginBean.validateEmail}"/>
				<br/>
				<h:message style="color: red" for="entradaLogin" />	
				<br/>
				<h:outputText value="#{msg.Password}: " />
				<h:inputSecret id="senhaLogin" value="#{loginBean.senha}" required="true" />
				<br/>
				<h:message style="color: red" for="senhaLogin"/>
				
				<br/>
				<h:messages style="color: red" globalOnly="true"/>
				<br/>
				<h:commandButton value="Login" action="#{loginBean.loginAction}"/>
			</h:form>		  
			
			<h:outputText styleClass="option" value="#{msg.SingUp}" />
			<div id="cadastrar">
	 			<h:outputText style="font-weight: bold" value="#{msg.SingUpMsg}" />
				<div id="formulario_cadastro" >
				<h:form>
					
					<h:outputText value="#{msg.Email}: " />
					<h:inputText id="login" value="#{loginBean.login}" required="true" validator="#{loginBean.validateEmail}" onchange="emailCadastrado(this.value);"/>
					<br/>
					<h:message style="color: red" for="login"/>
				
					<div id="emailExistente">						
					</div>					
					<br />
					
					<h:outputText value="#{msg.Password}: " />
					<h:inputSecret id="senha" value="#{loginBean.senha}" required="true" />					
					<br/>
					<h:message style="color: red" for="senha"/>
					
					<br />
					
					<h:outputText value="#{msg.RepeatPassword}:" />
					<h:inputSecret id="senhaConfirmada" value="#{loginBean.senhaConfirmada}" required="true" binding="#{loginBean.senhaConfirmadaInput}"/>					
					<br/>
					<h:message style="color: red" for="senhaConfirmada"/>
					
					<br />
					
					<h:outputText value="#{msg.Name}: " />
					<h:inputText id="nome" value="#{loginBean.nome}" required="true" />
					<br/>
					<h:message style="color: red" for="nome"/>
				
					<br />
					
					<h:outputText value="#{msg.NickName}: " />
					<h:inputText id="apelido" value="#{loginBean.apelido}" required="true" />
					<br/>
					<h:message style="color: red" for="apelido"/>
				
					<br/>
					<br/>
					
					<h:messages style="color: red" globalOnly="true"/>
					<h:commandButton value="#{msg.Confirm}" action="#{loginBean.cadastrarAction}"/>
					
				</h:form>			
				
			</div>
		</div>
	</div>
	<div id="left">
			<h:outputText styleClass="busca" value="#{msg.SearchPic}" />
			<h:form>
				
				<h:inputText id="busca" />
				<h:commandButton value="Buscar" />
				
				<br/>
				<br/>
				<br/>
				<br/>
				
			</h:form>
			
				<img width="200" src="images/azul1.jpg" />
				<img width="200" src="images/azul2.jpg" />				
				<img width="200" src="images/azul3.jpg" />
				<img width="200" src="images/azul4.jpg" />				
						
	</div>				
		
	<div style="clear: both;">&nbsp;</div>
	</div>
	<div id="bottom">
	</div>
	<%@ include file="rodape.jsp" %>
 </div>
 </f:view>
</body>
</html>